maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Christian Schulte (JIRA)" <j...@apache.org>
Subject [jira] [Closed] (MNG-3825) Dependencies with classifier should not always require a version.
Date Sat, 30 Jul 2016 18:09:20 GMT

     [ https://issues.apache.org/jira/browse/MNG-3825?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Christian Schulte closed MNG-3825.
----------------------------------
    Resolution: Fixed

> Dependencies with classifier should not always require a version.
> -----------------------------------------------------------------
>
>                 Key: MNG-3825
>                 URL: https://issues.apache.org/jira/browse/MNG-3825
>             Project: Maven
>          Issue Type: Improvement
>          Components: Dependencies
>            Reporter: Paul Gier
>             Fix For: Issues to be reviewed for 4.x
>
>
> If I have two dependencies one with a classifier and one without, that look something
like this:
> {code:xml}
> <dependency>
>   <groupId>com.mycompany</groupId>
>   <artifactId>project1</artifact>
>   <version>1</version>
> </dependency>
> <dependency>
>   <groupId>com.mycompany</groupId>
>   <artifactId>project1</artifact>
>   <classifier>client</classifier>
>   <version>1</version>
> </dependency>
> {code}
> Currently I need to specify versions for both of them.  If I specify the versions in
dependency management, I should only have to specify the non-classifier version.  The dependency
with the classifier should default to the same version as the one without the dependency.
 This would save a lot of extra configuration for some projects.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message